import type { ErrorResponse } from "../errorResponse";
import { ClientHttpError } from "../httpError";
export declare const INTERNAL_SERVER_ERROR_STATUS: 500;
export type InternalServerErrorResponse = ErrorResponse & {
    status: typeof INTERNAL_SERVER_ERROR_STATUS;
};
/**
 * Runtime error thrown on HTTP Conflict (500) response.
 *
 * @see {@link https://www.rfc-editor.org/rfc/rfc9110#status.500 | RFC 9110 (15.6.1.) 500 Internal Server Error}
 * @since 0.0.1
 */
export declare class InternalServerError extends ClientHttpError {
    constructor(responseMetadata: {
        status: number;
        statusText: string;
        headers: Headers;
        url: string;
    }, responseBody: string, message: string, options?: ErrorOptions);
    get response(): InternalServerErrorResponse;
}
export default InternalServerError;
